Skip to main content
GET
/
post-details
/
{postDetailId}
/
metrics
Get post metrics
curl --request GET \
  --url https://api.postflow.app/v1/post-details/{postDetailId}/metrics \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "post_id": "<string>",
  "post_detail_id": "<string>",
  "social_account_id": "<string>",
  "social_post_id": "<string>",
  "score": 123,
  "views": 123,
  "reach": 123,
  "likes": 123,
  "dislikes": 123,
  "shares": 123,
  "quotes": 123,
  "replies": 123,
  "saves": 123,
  "follows": 123,
  "user_profile_clicks": 123,
  "post_link_clicks": 123,
  "post_other_clicks": 123,
  "engagements": 123,
  "engagement_rate_impressions": 123,
  "engagement_rate_reach": 123,
  "video_views": 123,
  "video_watch_time_total": 123,
  "video_watch_time_avg": 123,
  "score_1": 123,
  "score_2": 123,
  "score_3": 123,
  "score_4": 123,
  "score_5": 123,
  "score_6": 123,
  "score_7": 123,
  "score_8": 123,
  "score_9": 123,
  "score_10": 123,
  "updated_at": "2023-11-07T05:31:56Z",
  "published_at": "2023-11-07T05:31:56Z",
  "poll_results": [
    "<string>"
  ],
  "poll_votes": 123,
  "postDetail": {
    "id": "<string>",
    "social_network": "twitter",
    "post_type": "text",
    "post_id": "<string>",
    "social_account_id": "<string>",
    "enabled": true,
    "is_customized": true,
    "status": 1,
    "stories": [
      "<string>"
    ],
    "is_story": true,
    "published_at": "2023-11-07T05:31:56Z",
    "user_error_message": "<string>",
    "content": "<string>",
    "link_preview": {
      "url": "<string>",
      "host": "<string>",
      "title": "<string>",
      "description": "<string>",
      "image_url": "<string>"
    },
    "post_link": "<string>",
    "firstComment": {
      "id": "<string>",
      "condition_type": 1,
      "condition_value": 123,
      "publishing_failed": true,
      "user_error_message": "<string>",
      "published_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  },
  "items": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

postDetailId
string
required

Response

PostMetricData

id
string
required
post_id
string | null
required
post_detail_id
string
required
social_account_id
string | null
required
social_post_id
string | null
required
score
number | null
required

Each post receives a score from 0 to 10.

The score is based on 60% engagements and 40% impressions.

More info: https://postflow.app/blog/postflow-analytics#post-score

views
integer | null
required
reach
integer | null
required
likes
integer | null
required
dislikes
integer | null
required
shares
integer | null
required
quotes
integer | null
required
replies
integer | null
required
saves
integer | null
required
follows
integer | null
required
user_profile_clicks
integer | null
required
post_link_clicks
integer | null
required
post_other_clicks
integer | null
required
engagements
integer | null
required
engagement_rate_impressions
number | null
required
engagement_rate_reach
number | null
required
video_views
integer | null
required
video_watch_time_total
integer | null
required
video_watch_time_avg
integer | null
required
score_1
integer | null
required
score_2
integer | null
required
score_3
integer | null
required
score_4
integer | null
required
score_5
integer | null
required
score_6
integer | null
required
score_7
integer | null
required
score_8
integer | null
required
score_9
integer | null
required
score_10
integer | null
required
updated_at
string<date-time>
required
published_at
string<date-time> | null
required
poll_results
string[] | null
required
poll_votes
integer | null
required
postDetail
PostDetailData · object
required
items
array
required

Used for Stories posts. Each story has its own item with metrics